{
    "compilerOptions": {
        "target": "esnext",
        "useDefineForClassFields": true,
        "suppressImplicitAnyIndexErrors": true,
        "module": "esnext",
        "moduleResolution": "node",
        "removeComments": false,
        "strict": true,
        "jsx": "preserve",
        "sourceMap": false,
        "resolveJsonModule": true,
        "esModuleInterop": true,
        "lib": ["esnext", "dom"],
        "isolatedModules": true,
        "baseUrl": "./",
        "paths": {
            "@/*": ["src/*"],
            "/@/*": ["./src/*"]
        },
        "types": ["element-plus/global", "element-plus/lib/locale"]
    },
    "include": [
        "src",
        "types/**/*.d.ts",
        "src/types/auto-imports.d.ts",
        "src/types/auto-components.d.ts"
    ],
    "exclude": ["node_modules"],
}
